Package Gnumed :: Package pycommon :: Module gmSerialTools |
[frames] | no frames]

# Module gmSerialTools

source code

GNUmed serial port tools.

These functions are complementing pySerial.

License: GPL v2 or later (details at http://www.gnu.org)

Copyright: author

Version: $Revision: 1.3 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

Functions
wait_for_str(aDrv=None, aString=`'````'`, aTimeout=2500, max_bytes=2048) Wait for a particular string with timeout. | source code
wait_for_data(aDrv=None, aTimeout=2500) Wait for any incoming with timeout. | source code

Variables
| __licence__ = ``'``GPL v2 or later (details at http://www.gnu.org)``'``
| __package__ = ``'``Gnumed.pycommon``'``

Imports: time, string, logging

Function Details

### wait_for_str(aDrv=None, aString=`'````'`, aTimeout=2500, max_bytes=2048) | source code
    Wait for a particular string with timeout.

    - timeout in milliseconds, please

### wait_for_data(aDrv=None, aTimeout=2500) | source code
    Wait for any incoming with timeout.

    - timeout in milliseconds, please